Subject: Re: bug#41102: When messages have no Date:

From: Lars Ingebrigtsen <[email-masked]>
Date: Wed, 05 Aug 2020 13:16:27 +0200

積丹尼 Dan Jacobson <[email-masked]> writes:

> Got an idea: if a mail arrives without a Date: header, gnus should add a
> X-Gnus-Artificial-Date: <now> header.
>
> And when opening such messages, if no Date: is found, use the
> X-Gnus-Artificial-Date: header when making dates for the *Summary*
> buffer.
>
> That way instead of 1970 dates, you'll have dates certainly just a day
> or two from the real date (when they sent the mail, that we don't know.)

I don't think we should pretend -- when we don't know what the sent date
is, then giving an errorish date (1970, aka year zero) is the best, I
think.

So I'm closing this bug report.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no